Create Custom Report Definition
curl --request POST \
--url https://api.riskportal.activeviam.com/api/ReportDefinition/CreateCustomReportDefinition \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json-patch+json' \
--data '
{
"new_report_name": "new_report_name",
"risk_measures": [
null,
null
]
}
'import requests
url = "https://api.riskportal.activeviam.com/api/ReportDefinition/CreateCustomReportDefinition"
payload = {
"new_report_name": "new_report_name",
"risk_measures": [None, None]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json-patch+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json-patch+json'},
body: JSON.stringify({new_report_name: 'new_report_name', risk_measures: [null, null]})
};
fetch('https://api.riskportal.activeviam.com/api/ReportDefinition/CreateCustomReportDefinition', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.riskportal.activeviam.com/api/ReportDefinition/CreateCustomReportDefinition",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'new_report_name' => 'new_report_name',
'risk_measures' => [
null,
null
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json-patch+json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.riskportal.activeviam.com/api/ReportDefinition/CreateCustomReportDefinition"
payload := strings.NewReader("{\n \"new_report_name\": \"new_report_name\",\n \"risk_measures\": [\n null,\n null\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json-patch+json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.riskportal.activeviam.com/api/ReportDefinition/CreateCustomReportDefinition")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json-patch+json")
.body("{\n \"new_report_name\": \"new_report_name\",\n \"risk_measures\": [\n null,\n null\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.riskportal.activeviam.com/api/ReportDefinition/CreateCustomReportDefinition")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json-patch+json'
request.body = "{\n \"new_report_name\": \"new_report_name\",\n \"risk_measures\": [\n null,\n null\n ]\n}"
response = http.request(request)
puts response.read_body{
"$type": "Derivitec.Web.Core.RiskReportDefinition.ApiRiskReportDefinitionCreateResponse, Derivitec.Web.Core",
"is_success": true,
"error_messages": [
"<string>"
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}Create Custom Report Definition
POST
/
api
/
ReportDefinition
/
CreateCustomReportDefinition
Create Custom Report Definition
curl --request POST \
--url https://api.riskportal.activeviam.com/api/ReportDefinition/CreateCustomReportDefinition \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json-patch+json' \
--data '
{
"new_report_name": "new_report_name",
"risk_measures": [
null,
null
]
}
'import requests
url = "https://api.riskportal.activeviam.com/api/ReportDefinition/CreateCustomReportDefinition"
payload = {
"new_report_name": "new_report_name",
"risk_measures": [None, None]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json-patch+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json-patch+json'},
body: JSON.stringify({new_report_name: 'new_report_name', risk_measures: [null, null]})
};
fetch('https://api.riskportal.activeviam.com/api/ReportDefinition/CreateCustomReportDefinition', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.riskportal.activeviam.com/api/ReportDefinition/CreateCustomReportDefinition",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'new_report_name' => 'new_report_name',
'risk_measures' => [
null,
null
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json-patch+json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.riskportal.activeviam.com/api/ReportDefinition/CreateCustomReportDefinition"
payload := strings.NewReader("{\n \"new_report_name\": \"new_report_name\",\n \"risk_measures\": [\n null,\n null\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json-patch+json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.riskportal.activeviam.com/api/ReportDefinition/CreateCustomReportDefinition")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json-patch+json")
.body("{\n \"new_report_name\": \"new_report_name\",\n \"risk_measures\": [\n null,\n null\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.riskportal.activeviam.com/api/ReportDefinition/CreateCustomReportDefinition")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json-patch+json'
request.body = "{\n \"new_report_name\": \"new_report_name\",\n \"risk_measures\": [\n null,\n null\n ]\n}"
response = http.request(request)
puts response.read_body{
"$type": "Derivitec.Web.Core.RiskReportDefinition.ApiRiskReportDefinitionCreateResponse, Derivitec.Web.Core",
"is_success": true,
"error_messages": [
"<string>"
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}Authorizations
oauth2apikey
OAuth2 access-token requested from AWS Cognito and provided as a Auth Bearer header
Body
application/json-patch+jsonapplication/jsontext/jsonapplication/*+json
Available options:
Derivitec.Web.Core.RiskReportDefinition.ApiRiskReportDefinitionCreateRequest, Derivitec.Web.Core - Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
- Option 9
- Option 10
- Option 11
- Option 12
- Option 13
- Option 14
- Option 15
- Option 16
- Option 17
- Option 18
- Option 19
- Option 20
- Option 21
- Option 22
- Option 23
- Option 24
- Option 25
- Option 26
- Option 27
- Option 28
- Option 29
- Option 30
- Option 31
- Option 32
- Option 33
- Option 34
- Option 35
- Option 36
- Option 37
- Option 38
- Option 39
- Option 40
- Option 41
- Option 42
- Option 43
- Option 44
- Option 45
- Option 46
- Option 47
- Option 48
- Option 49
- Option 50
- Option 51
- Option 52
- Option 53
- Option 54
- Option 55
- Option 56
- Option 57
- Option 58
- Option 59
- Option 60
Show child attributes
Show child attributes
Was this page helpful?